Sage Integration – Update Notice

We are aware some of our customers using integration with Sage have recently had an update from Sage asking them to upgrade their Sage before February 14th 2018.

Please be aware from the details below which current versions of Sage are compatible with Protean.

Sage 50 (v23) 2017:
Protean 7.3.4223 or newer

Sage 50 (v24) 2018:
Protean 7.3.4378 or newer

If you are looking to upgrade your version of Sage and are not currently on a compatible version of Protean, please feel free to contact the Support Team to check compatibility and arrange a Protean upgrade.

Leave A Comment?

You must be logged in to post a comment.